#!/usr/bin/python
## role-ignore: basesystem

from __future__ import print_function

import os
import sys
import re

IGNORED_LINES = [
    '.*ERROR - load average.*',
    '.*WARNING - load average.*',
    '.*WARNING: .* join scripts have to be called.*',
]

def _ignore_line(line):
    return any(re.match(ignored_line, line) for ignored_line in IGNORED_LINES)

def _error_line(line):
    if re.match('.*WARNING.*', line) or re.match('.*CRITICAL.*', line):
        return True
    return False

def _dump_file(lines):
    for line in lines:
        print(line, end=' ')

if 'USC_NAGIOS_IGNORE' in os.environ:
    for i in os.environ['USC_NAGIOS_IGNORE'].split(':'):
        IGNORED_LINES.append(i)

if os.path.exists('/var/cache/nagios3/status.dat'):
    with open('/var/cache/nagios3/status.dat') as fp:
        lines = fp.readlines()
    for line in lines:
        if _ignore_line(line):
            print('Ignore: %s' % line)
            continue
        if _error_line(line):
            print('ERROR: %s' % line)
            #_dump_file(lines)
            sys.exit(1)


sys.exit(0)
